/* Estilo básico */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f9f9f9;
}

/* Encabezado común */
.header {
    background-color: #f2f2f2; 
    padding: 20px;
    text-align: center;
}

.header img {
    max-height: 80px; 
    margin-right: 10px;
    vertical-align: middle;
}

.header h1 {
    display: inline-block;
    font-size: 24px;
    margin: 0;
    vertical-align: middle;
}

/* Estilo de las páginas */
.container {
    max-width: 800px;
    margin: 40px auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}


.encabezado {
    text-align: center; 
    margin-bottom: 20px; 
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    justify-content: center; 
}

.encabezado img {
    max-height: 60px; 
    margin-bottom: 10px; 
}

.encabezado h2 {
    font-size: 24px;
    margin: 10px 0 5px 0; 
    color: #333; 
}

.encabezado p {
    font-size: 16px; 
    color: #555; 
    margin: 0; 
}


.encabezado-i{
    display: flex; 
    justify-content: space-between; 
    align-items: center; 
    padding: 20px;
    text-align: center; 
    position: relative;
}

.encabezado-i img {
    max-height: 60px; 
    margin-right: 10px;
    vertical-align: middle;
}
.encabezado-i h2 {
    font-size: 24px;
    margin: 0;
    display: inline-block;
    vertical-align: middle;;
}


/* Ajustar el selector de idioma en escritorio */
.language-selector {
    display: flex;
    align-items: center;  
    font-size: 18px;
    margin: 0;
    padding: 30px;

}
.language-icon img {
    width: 32px; 
    height: 32px;
    margin-right: 10px; 
}

.language-selector select {
    font-size: 16px; 
    padding: 5px 10px; 
    border-radius: 5px;
    border: 1px solid #ccc; 
    background-color: #fff; 
}
/* Texto del selector */
.language-text {
    font-size: 14px;
    font-weight: bold;
}


/* Botón */
button {
    background-color: #135058;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: #0c7489;
}

/* Estilo del texto */
h1 {
    font-size: 28px;
    color: #333;
}

p {
    font-size: 18px;
    color: #555;
}

/* Pie de página */
.footer {
    background-color: #102629; 
    color: #fff;
    text-align: center;
    padding: 10px 0;
    width: 100%; 
    position: relative;
}


.footer img {
    max-height: 40px; 
    margin-right: 10px;
    vertical-align: middle;
}



/* Media Queries para dispositivos móviles y tabletas */
@media (max-width: 768px) {
    .header h1 {
        font-size: 20px;
    }

    .header img {
        max-height: 60px; 
    }

    /* Ajustar el tamaño del contenedor */
    .container {
        margin: 20px;
        padding: 15px;
    }

    /* Ajustar el tamaño de los botones */
    button {
        padding: 8px 15px;
        font-size: 14px;
    }
    .encabezado-i {
        flex-direction: column; 
        text-align: center; 
        margin: 0 auto;
    }
    .encabezado-i img {
        max-height: 60px; 
        margin-right: 0;
        vertical-align: middle;
    }
    
    h1 {
        font-size: 24px;
    }

    p {
        font-size: 16px;
    }
    .footer img {
        max-height: 40px; 
    }
    .language-selector {
        margin-top: 10px; 
    }

}

@media (max-width: 480px) {
    /* Ajustes adicionales para teléfonos móviles */
    .header h1 {
        font-size: 18px;
    }

    .container {
        margin: 10px;
        padding: 10px;
    }

    .encabezado-i {
        flex-direction: column; 
        text-align: center; 
        margin: 0 auto;
    }
    .encabezado-i img {
        max-height: 60px; 
        margin-right: 0;
        vertical-align: middle;
    }


    button {
        width: 100%; 
    }

    h1 {
        font-size: 22px;
    }

    p {
        font-size: 14px;
    }
}



/* Estilo para el separador inferior */
.language-selector + form {
    border-top: 1px solid #ccc;  
    padding-top: 20px;  
}

/* Estilo adicional para los formularios de votación */
form {
    margin-top: 20px;
}

.question {
    display: none;
}

.question.active {
    display: block;
}

.question h2 {
    margin-bottom: 10px; 
}

.question label {
    display: block; 
    margin-bottom: 8px; 
}

.next-btn {
    display: block; 
    margin-top: 20px; 
    padding: 10px 20px; 
    background-color: #135058; 
    color: white; 
    border: none; 
    border-radius: 5px; 
    cursor: pointer; 
    font-size: 16px;
}

.next-btn:disabled {
    background-color: #ccc; 
    cursor: not-allowed; 
}

.next-btn:disabled:hover {
    background-color: #ccc; 
    cursor: not-allowed; 
}


.next-btn:hover {
    background-color: #0c7489;

}


.next-btn:hover:enabled {
    background-color: #0c7489;
}

.saludo {
    width: 100%; 
    text-align: justify; 
    background-color: #f2f2f2;
    padding: 20px 0; 
    margin: 20px 0; 
}
.container > div {
    width: 100%; 
}


.candidate {
    margin-bottom: 20px; 
}

.candidate h3 {
    margin-bottom: 10px; 
}

.candidate label {
    display: block; 
    margin-bottom: 8px; 
    font-size: 16px; 
}

.vote-option {
    margin-right: 8px; 
}
